/**
 * TrueReality - file_loader.c
 * Copyright (C) 1998, 1999 Niki W. Waibel
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
**/

#ifndef __DISPLAY_H
#define __DISPLAY_H


#include <type_sizes.h>

//** Init Stuff
int  OpenVisual();      /* should open a window/screen     */
int  CloseVisual();     /* should close that window/screen */
void GetVisualName(char *, int *n);    /* guess! :)        */
void SetVisualTitle(char *);           /* guess! :)        */


//** RenderStuff 2d
void RefreshVisual();   /* should redraw the window/screen
                           (this is called whenever
                           a redraw is needed)             */



void FlushVisualRenderBuffer(void);

#endif